Bug 179340 - [PATCH] games/xboard: Add dependencies, NLS, docs
[PATCH] games/xboard: Add dependencies, NLS, docs
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Johan van Selst
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 19:50 UTC by nemysis
Modified: 2013-06-13 18:30 UTC (History)
1 user (show)

See Also:


Attachments
xboard-4.7.1_1.patch (15.46 KB, patch)
2013-06-05 19:50 UTC, nemysis
no flags Details | Diff
xboard.diff (15.50 KB, patch)
2013-06-06 19:21 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2013-06-05 19:50:03 UTC
- Add license
- Add NLS Option
- Add dependencies for desktop, pkgconfig
- Add docs
- Trim typo
- Add WWW
- Trim pkg-plist, remove mtree

Port maintainer (johans@FreeBSD.org) is cc'd.

Generated and tested manually, tested with port test and with RedPorts, sent with FreeBSD Port Tools 0.99_7 (mode: change, diff: ports)

How-To-Repeat: 
Build log

https://redports.org/buildarchive/20130605151600-8246/
Comment 1 Edwin Groothuis freebsd_committer 2013-06-05 19:50:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->johans

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 nemysis 2013-06-06 19:21:37 UTC
Sorry have now changed too

+@dirrmtry %%DATADIR%%/themes

to

+@dirrm %%DATADIR%%/themes

Build log

https://redports.org/buildarchive/20130606173700-1205/
Comment 3 dfilter freebsd_committer 2013-06-13 18:24:24 UTC
Author: johans
Date: Thu Jun 13 17:24:09 2013
New Revision: 320822
URL: http://svnweb.freebsd.org/changeset/ports/320822

Log:
  Add dependencies, NLS, docs
  
  PR:		ports/179340
  Submitted by:	<nemysis@gmx.ch>

Modified:
  head/games/xboard/Makefile
  head/games/xboard/pkg-descr
  head/games/xboard/pkg-plist

Modified: head/games/xboard/Makefile
==============================================================================
--- head/games/xboard/Makefile	Thu Jun 13 17:11:32 2013	(r320821)
+++ head/games/xboard/Makefile	Thu Jun 13 17:24:09 2013	(r320822)
@@ -3,7 +3,7 @@
 
 PORTNAME=	xboard
 PORTVERSION=	4.7.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	games
 MASTER_SITES=	GNU
 
@@ -12,7 +12,7 @@ COMMENT=	X frontend for Crafty, GNUChess
 
 LIB_DEPENDS=	cairo:${PORTSDIR}/graphics/cairo
 
-OPTIONS_DEFINE=	CRAFTY FAIRYMAX GNUCHESS KNIGHTCAP PHALANX
+OPTIONS_DEFINE=	NLS CRAFTY FAIRYMAX GNUCHESS KNIGHTCAP PHALANX
 OPTIONS_DEFAULT=
 CRAFTY_DESC=	Install crafty engine
 FAIRYMAX_DESC=	Install fairymax engine
@@ -20,6 +20,7 @@ GNUCHESS_DESC=	Install GnuChess engine
 KNIGHTCAP_DESC=	Install KnightCap engine
 PHALANX_DESC=	Install phalanx engine
 
+USES=		desktop-file-utils pkgconfig shared-mime-info
 USE_XORG=	xt xpm xaw
 USE_GNOME=	librsvg2
 GNU_CONFIGURE=	yes
@@ -30,7 +31,9 @@ MAN6=		xboard.6
 INFO=		xboard
 USE_PERL5_BUILD=yes
 INSTALLS_ICONS=	yes
-USES=		shared-mime-info
+DATADIR=	${PREFIX}/share/games/${PORTNAME}
+
+PORTDOCS=	AUTHORS ChangeLog NEWS README SHORTLOG TODO
 
 .include <bsd.port.options.mk>
 
@@ -78,5 +81,9 @@ post-patch:
 post-install:
 	@${INSTALL_SCRIPT} ${WRKSRC}/cmail ${PREFIX}/bin/
 	@${CP} -pn ${PREFIX}/etc/xboard.conf.dist ${PREFIX}/etc/xboard.conf
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
+.endif
 
 .include <bsd.port.post.mk>

Modified: head/games/xboard/pkg-descr
==============================================================================
--- head/games/xboard/pkg-descr	Thu Jun 13 17:11:32 2013	(r320821)
+++ head/games/xboard/pkg-descr	Thu Jun 13 17:24:09 2013	(r320822)
@@ -1,3 +1,5 @@
 Xboard is a graphical chessboard that can serve as a user interface for 
 Crafty, GNU Chess, for Internet Chess Servers, or for electronic mail 
 correspondence chess. xboard can also be used by itself.
+
+WWW: https://www.gnu.org/software/xboard/

Modified: head/games/xboard/pkg-plist
==============================================================================
--- head/games/xboard/pkg-plist	Thu Jun 13 17:11:32 2013	(r320821)
+++ head/games/xboard/pkg-plist	Thu Jun 13 17:24:09 2013	(r320822)
@@ -7,130 +7,133 @@ share/applications/xboard-pgn-viewer.des
 share/applications/xboard-tourney.desktop
 share/icons/hicolor/48x48/apps/xboard.png
 share/icons/hicolor/scalable/apps/xboard.svg
+share/mime/application/x-chess-pgn.xml
+share/mime/application/x-xboard-opt.xml
+share/mime/application/x-xboard-trn.xml
 share/mime/packages/xboard.xml
-share/games/xboard/pixmaps/textures/board32.xpm
-share/games/xboard/pixmaps/textures/board48.xpm
-share/games/xboard/pixmaps/textures/cross32.xpm
-share/games/xboard/pixmaps/textures/cross48.xpm
-share/games/xboard/pixmaps/textures/ini32.xpm
-share/games/xboard/pixmaps/textures/ini48.xpm
-share/games/xboard/sounds/cymbal.wav
-share/games/xboard/sounds/ding1.wav
-share/games/xboard/sounds/gong.wav
-share/games/xboard/sounds/honkhonk.wav
-share/games/xboard/sounds/laser.wav
-share/games/xboard/sounds/penalty.wav
-share/games/xboard/sounds/phone.wav
-share/games/xboard/sounds/pop2.wav
-share/games/xboard/sounds/slap.wav
-share/games/xboard/sounds/woodthunk.wav
-share/games/xboard/themes/default/BlackAdvisor.svg
-share/games/xboard/themes/default/BlackArchbishop.svg
-share/games/xboard/themes/default/BlackBishop.svg
-share/games/xboard/themes/default/BlackCanon.svg
-share/games/xboard/themes/default/BlackChancellor.svg
-share/games/xboard/themes/default/BlackCobra.svg
-share/games/xboard/themes/default/BlackCommoner.svg
-share/games/xboard/themes/default/BlackCrownedBishop.svg
-share/games/xboard/themes/default/BlackCrownedRook.svg
-share/games/xboard/themes/default/BlackElephant.svg
-share/games/xboard/themes/default/BlackGold.svg
-share/games/xboard/themes/default/BlackGoldKnight.svg
-share/games/xboard/themes/default/BlackGoldLance.svg
-share/games/xboard/themes/default/BlackGoldPawn.svg
-share/games/xboard/themes/default/BlackGoldSilver.svg
-share/games/xboard/themes/default/BlackHawk.svg
-share/games/xboard/themes/default/BlackKing.svg
-share/games/xboard/themes/default/BlackKnight.svg
-share/games/xboard/themes/default/BlackLance.svg
-share/games/xboard/themes/default/BlackMarshall.svg
-share/games/xboard/themes/default/BlackNightrider.svg
-share/games/xboard/themes/default/BlackPawn.svg
-share/games/xboard/themes/default/BlackPrincess.svg
-share/games/xboard/themes/default/BlackQueen.svg
-share/games/xboard/themes/default/BlackRook.svg
-share/games/xboard/themes/default/BlackUnicorn.svg
-share/games/xboard/themes/default/WhiteAdvisor.svg
-share/games/xboard/themes/default/WhiteArchbishop.svg
-share/games/xboard/themes/default/WhiteBishop.svg
-share/games/xboard/themes/default/WhiteCanon.svg
-share/games/xboard/themes/default/WhiteChancellor.svg
-share/games/xboard/themes/default/WhiteCobra.svg
-share/games/xboard/themes/default/WhiteCommoner.svg
-share/games/xboard/themes/default/WhiteCrownedBishop.svg
-share/games/xboard/themes/default/WhiteCrownedRook.svg
-share/games/xboard/themes/default/WhiteElephant.svg
-share/games/xboard/themes/default/WhiteGold.svg
-share/games/xboard/themes/default/WhiteGoldKnight.svg
-share/games/xboard/themes/default/WhiteGoldLance.svg
-share/games/xboard/themes/default/WhiteGoldPawn.svg
-share/games/xboard/themes/default/WhiteGoldSilver.svg
-share/games/xboard/themes/default/WhiteHawk.svg
-share/games/xboard/themes/default/WhiteKing.svg
-share/games/xboard/themes/default/WhiteKnight.svg
-share/games/xboard/themes/default/WhiteLance.svg
-share/games/xboard/themes/default/WhiteMarshall.svg
-share/games/xboard/themes/default/WhiteNightrider.svg
-share/games/xboard/themes/default/WhitePawn.svg
-share/games/xboard/themes/default/WhitePrincess.svg
-share/games/xboard/themes/default/WhiteQueen.svg
-share/games/xboard/themes/default/WhiteRook.svg
-share/games/xboard/themes/default/WhiteUnicorn.svg
-share/games/xboard/themes/default/eo_Analyzing.svg
-share/games/xboard/themes/default/eo_Black.svg
-share/games/xboard/themes/default/eo_Clear.svg
-share/games/xboard/themes/default/eo_Ponder.svg
-share/games/xboard/themes/default/eo_Thinking.svg
-share/games/xboard/themes/default/eo_Unknown.svg
-share/games/xboard/themes/default/eo_White.svg
-share/games/xboard/themes/default/icon_black.svg
-share/games/xboard/themes/default/icon_white.svg
-share/games/xboard/themes/shogi/BlackAdvisor.svg
-share/games/xboard/themes/shogi/BlackBishop.svg
-share/games/xboard/themes/shogi/BlackCrownedBishop.svg
-share/games/xboard/themes/shogi/BlackCrownedRook.svg
-share/games/xboard/themes/shogi/BlackGold.svg
-share/games/xboard/themes/shogi/BlackGoldKnight.svg
-share/games/xboard/themes/shogi/BlackGoldLance.svg
-share/games/xboard/themes/shogi/BlackGoldPawn.svg
-share/games/xboard/themes/shogi/BlackGoldSilver.svg
-share/games/xboard/themes/shogi/BlackKing.svg
-share/games/xboard/themes/shogi/BlackKnight.svg
-share/games/xboard/themes/shogi/BlackLance.svg
-share/games/xboard/themes/shogi/BlackPawn.svg
-share/games/xboard/themes/shogi/BlackRook.svg
-share/games/xboard/themes/shogi/WhiteAdvisor.svg
-share/games/xboard/themes/shogi/WhiteBishop.svg
-share/games/xboard/themes/shogi/WhiteCrownedBishop.svg
-share/games/xboard/themes/shogi/WhiteCrownedRook.svg
-share/games/xboard/themes/shogi/WhiteGold.svg
-share/games/xboard/themes/shogi/WhiteGoldKnight.svg
-share/games/xboard/themes/shogi/WhiteGoldLance.svg
-share/games/xboard/themes/shogi/WhiteGoldPawn.svg
-share/games/xboard/themes/shogi/WhiteGoldSilver.svg
-share/games/xboard/themes/shogi/WhiteKing.svg
-share/games/xboard/themes/shogi/WhiteKnight.svg
-share/games/xboard/themes/shogi/WhiteLance.svg
-share/games/xboard/themes/shogi/WhitePawn.svg
-share/games/xboard/themes/shogi/WhiteRook.svg
-share/games/xboard/themes/textures/hatch.png
-share/games/xboard/themes/textures/wood_d.png
-share/games/xboard/themes/textures/wood_l.png
-share/games/xboard/themes/textures/xqboard.png
-share/games/xboard/themes/xiangqi/BlackAdvisor.svg
-share/games/xboard/themes/xiangqi/BlackCanon.svg
-share/games/xboard/themes/xiangqi/BlackElephant.svg
-share/games/xboard/themes/xiangqi/BlackGold.svg
-share/games/xboard/themes/xiangqi/BlackKnight.svg
-share/games/xboard/themes/xiangqi/BlackPawn.svg
-share/games/xboard/themes/xiangqi/BlackRook.svg
-share/games/xboard/themes/xiangqi/WhiteAdvisor.svg
-share/games/xboard/themes/xiangqi/WhiteCanon.svg
-share/games/xboard/themes/xiangqi/WhiteElephant.svg
-share/games/xboard/themes/xiangqi/WhiteGold.svg
-share/games/xboard/themes/xiangqi/WhiteKnight.svg
-share/games/xboard/themes/xiangqi/WhitePawn.svg
-share/games/xboard/themes/xiangqi/WhiteRook.svg
+%%DATADIR%%/pixmaps/textures/board32.xpm
+%%DATADIR%%/pixmaps/textures/board48.xpm
+%%DATADIR%%/pixmaps/textures/cross32.xpm
+%%DATADIR%%/pixmaps/textures/cross48.xpm
+%%DATADIR%%/pixmaps/textures/ini32.xpm
+%%DATADIR%%/pixmaps/textures/ini48.xpm
+%%DATADIR%%/sounds/cymbal.wav
+%%DATADIR%%/sounds/ding1.wav
+%%DATADIR%%/sounds/gong.wav
+%%DATADIR%%/sounds/honkhonk.wav
+%%DATADIR%%/sounds/laser.wav
+%%DATADIR%%/sounds/penalty.wav
+%%DATADIR%%/sounds/phone.wav
+%%DATADIR%%/sounds/pop2.wav
+%%DATADIR%%/sounds/slap.wav
+%%DATADIR%%/sounds/woodthunk.wav
+%%DATADIR%%/themes/default/BlackAdvisor.svg
+%%DATADIR%%/themes/default/BlackArchbishop.svg
+%%DATADIR%%/themes/default/BlackBishop.svg
+%%DATADIR%%/themes/default/BlackCanon.svg
+%%DATADIR%%/themes/default/BlackChancellor.svg
+%%DATADIR%%/themes/default/BlackCobra.svg
+%%DATADIR%%/themes/default/BlackCommoner.svg
+%%DATADIR%%/themes/default/BlackCrownedBishop.svg
+%%DATADIR%%/themes/default/BlackCrownedRook.svg
+%%DATADIR%%/themes/default/BlackElephant.svg
+%%DATADIR%%/themes/default/BlackGold.svg
+%%DATADIR%%/themes/default/BlackGoldKnight.svg
+%%DATADIR%%/themes/default/BlackGoldLance.svg
+%%DATADIR%%/themes/default/BlackGoldPawn.svg
+%%DATADIR%%/themes/default/BlackGoldSilver.svg
+%%DATADIR%%/themes/default/BlackHawk.svg
+%%DATADIR%%/themes/default/BlackKing.svg
+%%DATADIR%%/themes/default/BlackKnight.svg
+%%DATADIR%%/themes/default/BlackLance.svg
+%%DATADIR%%/themes/default/BlackMarshall.svg
+%%DATADIR%%/themes/default/BlackNightrider.svg
+%%DATADIR%%/themes/default/BlackPawn.svg
+%%DATADIR%%/themes/default/BlackPrincess.svg
+%%DATADIR%%/themes/default/BlackQueen.svg
+%%DATADIR%%/themes/default/BlackRook.svg
+%%DATADIR%%/themes/default/BlackUnicorn.svg
+%%DATADIR%%/themes/default/WhiteAdvisor.svg
+%%DATADIR%%/themes/default/WhiteArchbishop.svg
+%%DATADIR%%/themes/default/WhiteBishop.svg
+%%DATADIR%%/themes/default/WhiteCanon.svg
+%%DATADIR%%/themes/default/WhiteChancellor.svg
+%%DATADIR%%/themes/default/WhiteCobra.svg
+%%DATADIR%%/themes/default/WhiteCommoner.svg
+%%DATADIR%%/themes/default/WhiteCrownedBishop.svg
+%%DATADIR%%/themes/default/WhiteCrownedRook.svg
+%%DATADIR%%/themes/default/WhiteElephant.svg
+%%DATADIR%%/themes/default/WhiteGold.svg
+%%DATADIR%%/themes/default/WhiteGoldKnight.svg
+%%DATADIR%%/themes/default/WhiteGoldLance.svg
+%%DATADIR%%/themes/default/WhiteGoldPawn.svg
+%%DATADIR%%/themes/default/WhiteGoldSilver.svg
+%%DATADIR%%/themes/default/WhiteHawk.svg
+%%DATADIR%%/themes/default/WhiteKing.svg
+%%DATADIR%%/themes/default/WhiteKnight.svg
+%%DATADIR%%/themes/default/WhiteLance.svg
+%%DATADIR%%/themes/default/WhiteMarshall.svg
+%%DATADIR%%/themes/default/WhiteNightrider.svg
+%%DATADIR%%/themes/default/WhitePawn.svg
+%%DATADIR%%/themes/default/WhitePrincess.svg
+%%DATADIR%%/themes/default/WhiteQueen.svg
+%%DATADIR%%/themes/default/WhiteRook.svg
+%%DATADIR%%/themes/default/WhiteUnicorn.svg
+%%DATADIR%%/themes/default/eo_Analyzing.svg
+%%DATADIR%%/themes/default/eo_Black.svg
+%%DATADIR%%/themes/default/eo_Clear.svg
+%%DATADIR%%/themes/default/eo_Ponder.svg
+%%DATADIR%%/themes/default/eo_Thinking.svg
+%%DATADIR%%/themes/default/eo_Unknown.svg
+%%DATADIR%%/themes/default/eo_White.svg
+%%DATADIR%%/themes/default/icon_black.svg
+%%DATADIR%%/themes/default/icon_white.svg
+%%DATADIR%%/themes/shogi/BlackAdvisor.svg
+%%DATADIR%%/themes/shogi/BlackBishop.svg
+%%DATADIR%%/themes/shogi/BlackCrownedBishop.svg
+%%DATADIR%%/themes/shogi/BlackCrownedRook.svg
+%%DATADIR%%/themes/shogi/BlackGold.svg
+%%DATADIR%%/themes/shogi/BlackGoldKnight.svg
+%%DATADIR%%/themes/shogi/BlackGoldLance.svg
+%%DATADIR%%/themes/shogi/BlackGoldPawn.svg
+%%DATADIR%%/themes/shogi/BlackGoldSilver.svg
+%%DATADIR%%/themes/shogi/BlackKing.svg
+%%DATADIR%%/themes/shogi/BlackKnight.svg
+%%DATADIR%%/themes/shogi/BlackLance.svg
+%%DATADIR%%/themes/shogi/BlackPawn.svg
+%%DATADIR%%/themes/shogi/BlackRook.svg
+%%DATADIR%%/themes/shogi/WhiteAdvisor.svg
+%%DATADIR%%/themes/shogi/WhiteBishop.svg
+%%DATADIR%%/themes/shogi/WhiteCrownedBishop.svg
+%%DATADIR%%/themes/shogi/WhiteCrownedRook.svg
+%%DATADIR%%/themes/shogi/WhiteGold.svg
+%%DATADIR%%/themes/shogi/WhiteGoldKnight.svg
+%%DATADIR%%/themes/shogi/WhiteGoldLance.svg
+%%DATADIR%%/themes/shogi/WhiteGoldPawn.svg
+%%DATADIR%%/themes/shogi/WhiteGoldSilver.svg
+%%DATADIR%%/themes/shogi/WhiteKing.svg
+%%DATADIR%%/themes/shogi/WhiteKnight.svg
+%%DATADIR%%/themes/shogi/WhiteLance.svg
+%%DATADIR%%/themes/shogi/WhitePawn.svg
+%%DATADIR%%/themes/shogi/WhiteRook.svg
+%%DATADIR%%/themes/textures/hatch.png
+%%DATADIR%%/themes/textures/wood_d.png
+%%DATADIR%%/themes/textures/wood_l.png
+%%DATADIR%%/themes/textures/xqboard.png
+%%DATADIR%%/themes/xiangqi/BlackAdvisor.svg
+%%DATADIR%%/themes/xiangqi/BlackCanon.svg
+%%DATADIR%%/themes/xiangqi/BlackElephant.svg
+%%DATADIR%%/themes/xiangqi/BlackGold.svg
+%%DATADIR%%/themes/xiangqi/BlackKnight.svg
+%%DATADIR%%/themes/xiangqi/BlackPawn.svg
+%%DATADIR%%/themes/xiangqi/BlackRook.svg
+%%DATADIR%%/themes/xiangqi/WhiteAdvisor.svg
+%%DATADIR%%/themes/xiangqi/WhiteCanon.svg
+%%DATADIR%%/themes/xiangqi/WhiteElephant.svg
+%%DATADIR%%/themes/xiangqi/WhiteGold.svg
+%%DATADIR%%/themes/xiangqi/WhiteKnight.svg
+%%DATADIR%%/themes/xiangqi/WhitePawn.svg
+%%DATADIR%%/themes/xiangqi/WhiteRook.svg
 %%NLS%%share/locale/da/LC_MESSAGES/xboard.mo
 %%NLS%%share/locale/de/LC_MESSAGES/xboard.mo
 %%NLS%%share/locale/es/LC_MESSAGES/xboard.mo
@@ -142,18 +145,18 @@ share/games/xboard/themes/xiangqi/WhiteR
 %%NLS%%share/locale/zh_CN/LC_MESSAGES/xboard.mo
 %%NLS%%share/locale/zh_HK/LC_MESSAGES/xboard.mo
 %%NLS%%share/locale/zh_TW/LC_MESSAGES/xboard.mo
-%%NLS%%@dirrmtry share/locale/zh_HK
 %%NLS%%@dirrmtry share/locale/zh_HK/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/zh_HK
+@dirrm %%DATADIR%%/pixmaps/textures
+@dirrm %%DATADIR%%/pixmaps
+@dirrm %%DATADIR%%/sounds
+@dirrm %%DATADIR%%/themes/default
+@dirrm %%DATADIR%%/themes/shogi
+@dirrm %%DATADIR%%/themes/textures
+@dirrm %%DATADIR%%/themes/xiangqi
+@dirrm %%DATADIR%%/themes
+@dirrm %%DATADIR%%
 @dirrmtry share/applications
-@dirrm share/games/xboard/pixmaps/textures
-@dirrm share/games/xboard/pixmaps
-@dirrm share/games/xboard/sounds
-@dirrm share/games/xboard/themes/default
-@dirrm share/games/xboard/themes/shogi
-@dirrm share/games/xboard/themes/textures
-@dirrm share/games/xboard/themes/xiangqi
-@dirrm share/games/xboard/themes
-@dirrm share/games/xboard
 @dirrmtry share/games
 @dirrmtry share/icons/hicolor/48x48/apps
 @dirrmtry share/icons/hicolor/48x48
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Johan van Selst freebsd_committer 2013-06-13 18:24:26 UTC
State Changed
From-To: open->closed

Committed with minor changes. Thanks.